package it.unibs.arnaldo.rovineperdute;

import java.util.HashMap;
import java.util.List;

public class RovinePerduteHandler {
    private final Graph grafo;
    private final List<RovinaPerdutaGrafo> minimumTreeMetztli;
    private final List<RovinaPerdutaGrafo> minimumTreeTonatium;

    public RovinePerduteHandler(String filename) {

        this.grafo = Parser.parseRovinePerduteXML(filename);
        RovinaPerduta partenza = null;
        for (RovinaPerduta rp : grafo.getGraph().keySet()){
            if (rp.getId() == 0){
                partenza = rp;
                break;
            }
        }
        this.minimumTreeMetztli = grafo.calcolaSpanningTree(partenza, TipoVeicolo.METZTLI);
        this.minimumTreeTonatium = grafo.calcolaSpanningTree(partenza, TipoVeicolo.TONATIUH);
    }

    public void generaFileXML(){
        Parser.generaXML(minimumTreeTonatium, minimumTreeMetztli);
    }
}
